Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class LSAMEN

    java.lang.Object
      org.netlib.lapack.LSAMEN

    public class LSAMEN

extends java.lang.Object

    LSAMEN is a simplified interface to the JLAPACK routine lsamen.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  LSAMEN  tests if the first N letters of CA are the same as the
     *  first N letters of CB, regardless of case.
     *  LSAMEN returns .TRUE. if CA and CB are equivalent except for case
     *  and .FALSE. otherwise.  LSAMEN also returns .FALSE. if LEN( CA )
     *  or LEN( CB ) is less than N.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The number of characters in CA and CB to be compared.
     *
     *  CA      (input) CHARACTER*(*)
     *  CB      (input) CHARACTER*(*)
     *          CA and CB specify two character strings of length at least N.
     *          Only the first N characters of each string will be accessed.

     *
     * =====================================================================

     *
     *     .. Local Scalars ..

Constructor Summary
`LSAMEN()`

Method Summary
`static boolean` | `LSAMEN(int n, java.lang.String ca, java.lang.String cb)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LSAMEN

    public LSAMEN()

Method Detail

### LSAMEN

    public static boolean LSAMEN(int n,
                                 java.lang.String ca,
                                 java.lang.String cb)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD